﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Documents;
using Telerik.Windows.Controls.Charting;


    public partial class Window1 : Window
    {
        Random r = new Random();
        public Window1()
        {
            InitializeComponent();
            this.GetData(new Doughnut3DSeriesDefinition() { ShowItemLabels = false });
            RadChart1.DefaultView.ChartLegend.Visibility = Visibility.Collapsed;
            RadChart1.DefaultView.ChartArea.EnableAnimations = false;
        }

        private void GetData(SeriesDefinition d)
        {
            DataSeries series = new DataSeries();
            series.Definition = d;

            List<double> doubles = new List<double>();
            int seriesCount = 3;

            for (int i = 0; i < seriesCount; i++)
            {
                doubles.Add(r.Next(21, 100));
            };

            doubles.Sort();

            for (int i = 0; i < seriesCount; i++)
            {
                series.Add(new DataPoint() { YValue = r.Next(5, 100) });
            }

            //This item has value equal to the sum of the other items and will be transparent.
            series.Add(new DataPoint() { YValue = series.Sum<DataPoint>(dataPoint => dataPoint.YValue) });

            RadChart1.DefaultView.ChartArea.DataSeries.Add(series);
        }
    }

